Devuan bug report logs - #628
mosquitto: unable to open pidfile for writing - missing directory /run/mosquitto

version graph

Package: mosquitto; Maintainer for mosquitto is (unknown); Source for mosquitto is src:mosquitto.

Reported by: Flavio Stanchina <flavio@stanchina.net>

Date: Thu, 28 Oct 2021 21:02:01 UTC

Severity: normal

Tags: debian

Merged with 831

Found in versions 2.0.11-1, 2.0.11-1+deb11u1

Fixed in version 2.0.17-1

Done: Mark Hindley <mark@hindley.org.uk>

Forwarded to https://bugs.debian.org/993048

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to devuan-bugs@lists.dyne.org, devuan-dev@lists.dyne.org:
bug#628; Package mosquitto. (Thu, 28 Oct 2021 21:02:01 GMT) (full text, mbox, link).


Acknowledgement sent to Flavio Stanchina <flavio@stanchina.net>:
New bug report received and forwarded. Copy sent to devuan-dev@lists.dyne.org. (Thu, 28 Oct 2021 21:02:05 GMT) (full text, mbox, link).


Message #5 received at submit@bugs.devuan.org (full text, mbox, reply):

From: Flavio Stanchina <flavio@stanchina.net>
To: Devuan Bug Tracking System <submit@bugs.devuan.org>
Subject: mosquitto: unable to open pidfile for writing - missing directory /run/mosquitto
Date: Thu, 28 Oct 2021 22:57:27 +0200
Package: mosquitto
Version: 2.0.11-1
Severity: normal

The init script fails with:

Starting network daemon:: mosquitto
start-stop-daemon: unable to open pidfile '/run/mosquitto/mosquitto.pid' for writing (No such file or directory)
start-stop-daemon: child returned error exit status 2

Apparently, nobody creates directory /run/mosquitto.

Adding the following lines in /etc/init.d/mosquitto solves the problem:
mkdir -m 740 -p /run/mosquitto
chown mosquitto /run/mosquitto

-- System Information:
Distributor ID:	Devuan
Description:	Devuan GNU/Linux 4 (chimaera)
Release:	4
Codename:	chimaera
Architecture: x86_64

Kernel: Linux 5.10.0-9-amd64 (SMP w/4 CPU threads)
Kernel taint flags: TAINT_PROPRIETARY_MODULE, TAINT_OOT_MODULE, TAINT_UNSIGNED_MODULE
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8), LANGUAGE=en_US
Shell: /bin/sh linked to /bin/dash
Init: sysvinit (via /sbin/init)
LSM: AppArmor: enabled

Versions of packages mosquitto depends on:
ii  adduser                    3.118
ii  libc6                      2.31-13+deb11u2
ii  libcjson1                  1.7.14-1
ii  libdlt2                    2.18.6-1
ii  libelogind0 [libsystemd0]  246.10-2
ii  libmosquitto1              2.0.11-1
ii  libssl1.1                  1.1.1k-1+deb11u1
ii  libwebsockets16            4.0.20-2
ii  libwrap0                   7.6.q-31
ii  lsb-base                   11.1.0

mosquitto recommends no packages.

Versions of packages mosquitto suggests:
ii  apparmor  2.13.6-10

-- no debconf information

Information forwarded to devuan-bugs@lists.dyne.org, devuan-dev@lists.dyne.org:
bug#628; Package mosquitto. (Fri, 29 Oct 2021 07:02:02 GMT) (full text, mbox, link).


Message #8 received at 628@bugs.devuan.org (full text, mbox, reply):

From: Mark Hindley <mark@hindley.org.uk>
To: Flavio Stanchina <flavio@stanchina.net>, 628@bugs.devuan.org
Subject: Re: bug#628: mosquitto: unable to open pidfile for writing - missing directory /run/mosquitto
Date: Fri, 29 Oct 2021 07:58:20 +0100
Control: tags -1 debian
Control: forwarded -1 https://bugs.debian.org/993048

Flavio,

On Thu, Oct 28, 2021 at 10:57:27PM +0200, Flavio Stanchina wrote:
> Package: mosquitto
> Version: 2.0.11-1
> Severity: normal
> 
> The init script fails with:

Thanks for this. However, mosquitto is not a forked package and Devuan uses
Debian's packages directly without recompilation. Indeed, this issue is already
reported in Debian's BTS[1]. Please add your voice there to get it fixed.

Mark

[1]  https://bugs.debian.org/993048


Added tag(s) debian. Request was from Mark Hindley <mark@hindley.org.uk> to 628-submit@bugs.devuan.org. (Fri, 29 Oct 2021 07:02:06 GMT) (full text, mbox, link).


Set bug forwarded-to-address to 'https://bugs.debian.org/993048'. Request was from Mark Hindley <mark@hindley.org.uk> to 628-submit@bugs.devuan.org. (Fri, 29 Oct 2021 07:02:06 GMT) (full text, mbox, link).


Reply sent to Mark Hindley <mark@hindley.org.uk>:
You have taken responsibility. (Wed, 13 Sep 2023 13:44:02 GMT) (full text, mbox, link).


Notification sent to Flavio Stanchina <flavio@stanchina.net>:
bug acknowledged by developer. (Wed, 13 Sep 2023 13:44:02 GMT) (full text, mbox, link).


Message #17 received at 628-done@bugs.devuan.org (full text, mbox, reply):

From: Mark Hindley <mark@hindley.org.uk>
To: 628-done@bugs.devuan.org
Subject: Fixed in Debian #993048
Date: Wed, 13 Sep 2023 14:42:02 +0100
Version: 2.0.17-1

Marked as found in versions 2.0.11-1+deb11u1. Request was from Mark Hindley <mark@hindley.org.uk> to control@bugs.devuan.org. (Sun, 28 Jan 2024 17:48:02 GMT) (full text, mbox, link).


Merged 628 831 Request was from Mark Hindley <mark@hindley.org.uk> to control@bugs.devuan.org. (Sun, 28 Jan 2024 17:48:02 GMT) (full text, mbox, link).


Send a report that this bug log contains spam.


Devuan BTS -- Powered by Debian bug tracking system
Copyright (C) 1999 Darren O. Benham,
1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson,
2005-2017 Don Armstrong, and many other contributors.

Devuan Bugs Owner <owner@bugs.devuan.org>.
Last modified: Sat Apr 20 19:12:25 2024;